API Explorer 1 endpoints

Get All Regulated Entity Attributes

GET /obp/v7.0.0/regulated-entities/REGULATED_ENTITY_ID/attributes

OBPv5.1.0-getAllRegulatedEntityAttributes Roles: CanGetRegulatedEntityAttributes DirectoryAPI

Get all attributes for the specified Regulated Entity.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

REGULATED_ENTITY_ID: REGULATED_ENTITY_ID

JSON response body fields (7)
attribute_type
STRING
attributes
attribute value in form of (name, value)
name
ACCOUNT_MANAGEMENT_FEE
regulated_entity_attribute_id
attrafa-9a0f-4bfa-b30b-9003aa467f51
regulated_entity_id
regulated_entity_id
value
5987953
is_active
false
Example success response
{
  "attributes": [
    {
      "regulated_entity_id": "0af807d7-3c39-43ef-9712-82bcfde1b9ca",
      "regulated_entity_attribute_id": "attrafa-9a0f-4bfa-b30b-9003aa467f51",
      "name": "ACCOUNT_MANAGEMENT_FEE",
      "attribute_type": "",
      "value": "5987953",
      "is_active": false
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.1.0 getAllRegulatedEntityAttributes Originally /obp/v5.1.0/regulated-entities/REGULATED_ENTITY_ID/attributes